Bug 25402 - Put OPAC cart download options into dropdown menu
Summary: Put OPAC cart download options into dropdown menu
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 5087 26005
  Show dependency treegraph
 
Reported: 2020-05-06 20:26 UTC by Owen Leonard
Modified: 2020-07-23 04:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds the OPAC cart download format options into the dropdown menu, rather than opening in a separate pop up window. (This also matches the behaviour in the staff interface.)
Version(s) released in:
20.11.00, 20.05.02


Attachments
Bug 25402: Put OPAC cart download options into dropdown menu (5.12 KB, patch)
2020-05-11 20:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25402: Put OPAC cart download options into dropdown menu (5.17 KB, patch)
2020-05-18 20:24 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25402: (QA follow-up) Remove unused downloadBasket function (1.18 KB, patch)
2020-06-18 11:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 25402: Put OPAC cart download options into dropdown menu (5.23 KB, patch)
2020-06-21 14:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25402: (QA follow-up) Remove unused downloadBasket function (1.23 KB, patch)
2020-06-21 14:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-05-06 20:26:22 UTC
In the staff interface cart the options for downloading have been moved into a menu button. In the OPAC cart the download button still pops up a separate window with download format options. The OPAC cart should be modified to match the staff interface, with an integrated menu button and no pop-up.
Comment 1 Owen Leonard 2020-05-11 20:58:50 UTC
Created attachment 104717 [details] [review]
Bug 25402: Put OPAC cart download options into dropdown menu

This patch modifies the process of downloading a cart so that it doesn't
involve a separate popup window.

To test, apply the patch and add some titles to the cart in the OPAC.

 - Open the cart
 - The "Download" button should now be a dropdown menu.
 - Selecting any of the download options should trigger a download
   prompt.
 - Test with and without some CSV profiles which have been configured
   for use in the OPAC
Comment 2 Lucas Gass 2020-05-18 20:24:28 UTC
Created attachment 105046 [details] [review]
Bug 25402: Put OPAC cart download options into dropdown menu

This patch modifies the process of downloading a cart so that it doesn't
involve a separate popup window.

To test, apply the patch and add some titles to the cart in the OPAC.

 - Open the cart
 - The "Download" button should now be a dropdown menu.
 - Selecting any of the download options should trigger a download
   prompt.
 - Test with and without some CSV profiles which have been configured
   for use in the OPAC

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Lucas Gass 2020-05-18 20:25:33 UTC
This is great, I didn't like having a pop-up inside of a pop-up. Thanks Owen.
Comment 4 Katrin Fischer 2020-06-11 13:04:00 UTC
Should/could we not remove downloadBasket with this patch? Was wondering because I expected the pull down code to be removed elsewhere in the patch set.
Comment 5 Owen Leonard 2020-06-18 11:35:14 UTC
Created attachment 106001 [details] [review]
Bug 25402: (QA follow-up) Remove unused downloadBasket function

This patch removes the now-unused downloadBasket function from
basket.js. The patch should have no effect on the functionality of the
download process.
Comment 6 Katrin Fischer 2020-06-21 14:05:12 UTC
Created attachment 106113 [details] [review]
Bug 25402: Put OPAC cart download options into dropdown menu

This patch modifies the process of downloading a cart so that it doesn't
involve a separate popup window.

To test, apply the patch and add some titles to the cart in the OPAC.

 - Open the cart
 - The "Download" button should now be a dropdown menu.
 - Selecting any of the download options should trigger a download
   prompt.
 - Test with and without some CSV profiles which have been configured
   for use in the OPAC

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2020-06-21 14:05:16 UTC
Created attachment 106114 [details] [review]
Bug 25402: (QA follow-up) Remove unused downloadBasket function

This patch removes the now-unused downloadBasket function from
basket.js. The patch should have no effect on the functionality of the
download process.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2020-06-24 13:09:33 UTC
It would be good to remove downloadBasket from koha-tmpl/intranet-tmpl/prog/js/basket.js as well, on its own bug report ofc.
Comment 9 Jonathan Druart 2020-06-24 13:32:34 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 10 Lucas Gass 2020-07-10 16:59:32 UTC
choosing to backport enhancement 


backported to 20.05.x for 20.05.02
Comment 11 Aleisha Amohia 2020-07-13 02:44:10 UTC
enhancement, not backporting to 19.11.x